# JSDoc: Class: NoteShort

# Class: NoteShort

## NoteShort()

This note's representation is used in note tree and is kept in TreeCache. Its notable omission is the note content.

## Constructor

#### new NoteShort()

Source:
  - entities/note_short.js, line 5

### Members

#### archived

Source:
  - entities/note_short.js, line 19

#### isProtected

Source:
  - entities/note_short.js, line 13

#### mime

Source:
  - entities/note_short.js, line 17

#### noteId

Source:
  - entities/note_short.js, line 9

#### title

Source:
  - entities/note_short.js, line 11

#### type

Source:
  - entities/note_short.js, line 15

### Methods

#### (async) getBranches() → {Promise.<Array.<Branch>>}

Source:
  - entities/note_short.js, line 29

##### Returns:

Type
  Promise.<Array.<Branch>>

#### (async) getChildBranches() → {Promise.<Array.<Branch>>}

Source:
  - entities/note_short.js, line 43

##### Returns:

Type
  Promise.<Array.<Branch>>

#### getChildNoteIds() → {Array.<string>}

Source:
  - entities/note_short.js, line 65

##### Returns:

Type
  Array.<string>

#### (async) getChildNotes() → {Promise.<Array.<NoteShort>>}

Source:
  - entities/note_short.js, line 70

##### Returns:

Type
  Promise.<Array.<NoteShort>>

#### getParentNoteIds() → {Array.<string>}

Source:
  - entities/note_short.js, line 55

##### Returns:

Type
  Array.<string>

#### (async) getParentNotes() → {Promise.<Array.<NoteShort>>}

Source:
  - entities/note_short.js, line 60

##### Returns:

Type
  Promise.<Array.<NoteShort>>

#### hasChildren() → {boolean}

Source:
  - entities/note_short.js, line 37

##### Returns:

Type
  boolean

#### isJson() → {boolean}

Source:
  - entities/note_short.js, line 24

##### Returns:

Type
  boolean